<div class="container-fluid">
  <div class="main-header" style="margin-top: 0px;">
    <div class="card">
      <div class="card-header"><h5 class="card-header-text">Edit a Product</h5>
      </div>
      <div class="card-block">
        <div id="wizard">
          <div class="row">
            <div class="product-edit">
              <ul class="nav nav-tabs nav-justified md-tabs " role="tablist">
                <li class="nav-item">
                  <a class="nav-link active" data-toggle="tab" href="#home7" role="tab" aria-expanded="true">
                    <div class="f-26">
                      <i class="icofont icofont-edit"></i>
                    </div>
                   Edit
                  </a>
                  <div class="slide">
                  </div>
                </li>
                <li class="nav-item">
                  <a class="nav-link" data-toggle="tab" href="#profile7" role="tab" aria-expanded="false">
                    <div class="f-26">
                      <i class="icofont icofont-hard-disk"></i>
                    </div>
                    Hardware Details
                  </a>
                  <div class="slide">
                  </div>
                </li>
                <li class="nav-item">
                  <a class="nav-link" data-toggle="tab" href="#messages7" role="tab" aria-expanded="false">
                    <div class="f-26">
                      <i class="icofont icofont-disc"></i>
                    </div>
                    Software Details
                  </a>
                  <div class="slide">
                  </div>
                </li>
                <li class="nav-item">
                  <a class="nav-link" data-toggle="tab" href="#messages8" role="tab">
                    <div class="f-26">
                      <i class="icofont icofont-user-alt-3"></i>
                    </div>
                    Assignment
                  </a>
                  <div class="slide">
                  </div>
                </li>
              </ul>

              <%= form_for :product, url: product_path, html: {class: "md-float-material card-block", method: 'PUT'} do |f| %>
                <div class="tab-content">
                  <div class="tab-pane active" id="home7" role="tabpanel" aria-expanded="true">
                    <%= fields_for :product, @product do |f| %>
                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-user"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :name, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"name "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                             <i class="icofont icofont-man-in-glasses"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :asset_tag, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"asset_tag "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-note"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :asset_type, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"asset_type "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-cur-dollar"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :quantity, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"quantity "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-numbered"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :brand, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"Product :"%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-numbered"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :model_no, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"model_no :"%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>


                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-copy-alt"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_area :description, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"description "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="text-center">
                          <%= f.submit "Update", class: "btn btn-primary waves-effect waves-light m-r-10" %>
                          <%= link_to 'Discard', products_path, class: "btn btn-warning waves-effect waves-light" %>
                        </div>
                      </div>
                    <% end %>
                  </div>

                  <div class="tab-pane" id="profile7" role="tabpanel" aria-expanded="false">
                    <%= fields_for :hardware_detail, @hardware_detail do |f| %>
                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-user"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :processor, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"processor "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                             <i class="icofont icofont-man-in-glasses"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :ram, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"ram "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-note"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :hdd, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"HDD "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-cur-dollar"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :serial_no, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"serial_no "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-numbered"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :purchase_date, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"purchase_date "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-numbered"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :warranty, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"warranty :"%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-copy-alt"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_area :add_on, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"ADD_on's "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="text-center">
                          <%= f.submit "Update", class: "btn btn-primary waves-effect waves-light m-r-10" %>
                          <%= link_to 'Discard', products_path, class: "btn btn-warning waves-effect waves-light" %>
                        </div>
                      </div>
                    <% end %>
                  </div>

                  <div class="tab-pane" id="messages7" role="tabpanel" aria-expanded="false">
                    <%= fields_for :software_detail, @software_detail do |f| %>
                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-user"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :software_os_name, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"software/os_name "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                             <i class="icofont icofont-man-in-glasses"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :product_key, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"product_key "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-note"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :purchase_date, class: "md-form-control date", id: "example-text-input" %>
                              <%= f.label :"purchase_date "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-cur-dollar"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :expiry_date, class: "md-form-control date", id: "example-text-input" %>
                              <%= f.label :"expiry_date "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                       <button>Add more</button>
                      </div>

                      <div class="row">
                        <div class="text-center">
                          <%= f.submit "Update", class: "btn btn-primary waves-effect waves-light m-r-10" %>
                          <%= link_to 'Discard', products_path, class: "btn btn-warning waves-effect waves-light" %>
                        </div>
                      </div>
                    <% end %>
                  </div>

                  <div class="tab-pane" id="messages8" role="tabpanel">
                    <%= fields_for :assignment, @assignment do |f| %>
                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-user"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :location, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"location "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                             <i class="icofont icofont-man-in-glasses"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :department, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"department "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-ui-note"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :managed_by, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"managed_by "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>

                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-cur-dollar"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :used_by, class: "md-form-control", id: "example-text-input" %>
                              <%= f.label :"used_by "%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on">
                              <i class="icofont icofont-numbered"></i>
                            </span>
                            <div class="md-input-wrapper">
                              <%= f.text_field :assigned_on, class: "md-form-control date", id: "example-text-input" %>
                              <%= f.label :"assigned_on :"%>
                              <span class="md-line"></span>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="col-sm-6">
                          <div class="md-group-add-on">
                            <span class="md-add-on-file">
                              <button class="btn btn-success waves-effect waves-light">Attach file</button>
                            </span>
                            <div class="md-input-file">
                              <%= f.file_field :attachment %>
                              <input type="text" class="md-form-control md-form-file">
                              <%= f.label :attachment, 'Upload a file', class: 'md-label-file' %>
                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="row">
                        <div class="text-center">
                          <%= f.submit "Update", class: "btn btn-primary waves-effect waves-light m-r-10" %>
                          <%= link_to 'Discard', products_path, class: "btn btn-warning waves-effect waves-light" %>
                        </div>
                      </div>
                    <% end %>
                  </div>
                </div>
              <% end %>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


              
           


 


                               